package org.processmining.dataawarecnetminer.extension.dependencies;

public class DependencyHeuristicConfig {

	private double relativeToBestThreshold = 0.05d;
	private double dependencyThreshold = 0.9d;
	private double l1Threshold = 0.9d;
	private double l2Threshold = 0.9d;
	private double observationThreshold = 0.2d;

	private boolean allTasksConnected = false;
	private boolean acceptedTasksConnected = true;

	public double getRelativeToBestThreshold() {
		return relativeToBestThreshold;
	}

	public void setRelativeToBestThreshold(double relativeToBestThreshold) {
		this.relativeToBestThreshold = relativeToBestThreshold;
	}

	public double getDependencyThreshold() {
		return dependencyThreshold;
	}

	public void setDependencyThreshold(double dependencyThreshold) {
		this.dependencyThreshold = dependencyThreshold;
	}

	public double getL1Threshold() {
		return l1Threshold;
	}

	public void setL1Threshold(double l1Threshold) {
		this.l1Threshold = l1Threshold;
	}

	public double getL2Threshold() {
		return l2Threshold;
	}

	public void setL2Threshold(double l2Threshold) {
		this.l2Threshold = l2Threshold;
	}

	public double getObservationThreshold() {
		return observationThreshold;
	}

	public void setObservationThreshold(double observationThreshold) {
		this.observationThreshold = observationThreshold;
	}

	public boolean isAllTasksConnected() {
		return allTasksConnected;
	}

	public void setAllTasksConnected(boolean allTasksConnected) {
		this.allTasksConnected = allTasksConnected;
	}

	public boolean isAcceptedTasksConnected() {
		return acceptedTasksConnected;
	}

	public void setAcceptedTasksConnected(boolean acceptedTasksConnected) {
		this.acceptedTasksConnected = acceptedTasksConnected;
	}

}