package org.processmining.dataawarecnetminer.model;

import java.text.NumberFormat;

public final class DependencyRelationImpl implements DependencyRelation {
	
	private final double dependencyValue;

	public DependencyRelationImpl(double dependencyValue) {
		this.dependencyValue = dependencyValue;
	}

	public double getDependencyValue() {
		return dependencyValue;
	}

	public String toString() {
		return NumberFormat.getNumberInstance().format(dependencyValue);
	}
	
}